Subject: Re: pktgen scripts

From: Alexei Starovoitov <[email-masked]>
Date: Wed, 13 May 2015 10:14:13 -0700

On 5/13/15 6:02 AM, Jesper Dangaard Brouer wrote:
> Hi Alexei,
>
> I've cleaned up my pktgen scripts[1].  Do you think we should add them
> instead of the sample scripts in "samples/pktgen/pktgen.conf-*" ?

+1

> The main difference is I'm replacing the "pgset" with functions not
> needing global variable $PGDEV.  Three new functions reflect pktgen's
> different components:
>   * pg_ctrl()   control "pgctrl" (/proc/net/pktgen/pgctrl)
>   * pg_thread() control the kernel threads and binding to devices
>   * pg_set()    control setup of individual devices
>
> I've named the sample scripts: "pktgen_sample{01,02,03}_desc.sh" in-order
> to suggest a reading order.
> I've also added a script named: "pktgen_bench_xmit_mode_netif_receive.sh"
> which is basically your ingress benchmarking script.
>
> [1] https://github.com/netoptimizer/network-testing/tree/master/pktgen

Looks great!! Much better than old samples/pktgen/.
Could you add a readme file as well with few command line examples?
It wasn't obvious how '-b' and other flags are working. I guess if
somebody just tries to run them, the 'usage' function will explain
things too.